#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           palapeli
Epoch:          1
Version: 17.12.2
Release:        %mkrel %{rel}
Summary:        Jigsaw puzzle game
Group:          Games/Puzzles
License:        GPLv2 and LGPLv2 and GFDL
URL:            http://www.kde.org/applications/games/palapeli/
Source:         https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros

BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: cmake(Qt5Concurrent)
BuildRequires: cmake(Qt5Svg)

BuildRequires: cmake(KF5Archive)
BuildRequires: cmake(KF5Completion)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5ConfigWidgets)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5ItemViews)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5Service)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: cmake(KF5XmlGui)

BuildRequires: cmake(KF5DocTools)

BuildRequires: cmake(KF5KDEGames)

BuildRequires:  qhull

Requires:       qhull
Recommends:     palapeli-handbook

Conflicts:      kde-l10n-ar < 17.12.0-1
Conflicts:      kde-l10n-ast < 17.12.0-1
Conflicts:      kde-l10n-bg < 17.12.0-1
Conflicts:      kde-l10n-bs < 17.12.0-1
Conflicts:      kde-l10n-ca < 17.12.0-1
Conflicts:      kde-l10n-ca-valencia < 17.12.0-1
Conflicts:      kde-l10n-cs < 17.12.0-1
Conflicts:      kde-l10n-da < 17.12.0-1
Conflicts:      kde-l10n-de < 17.12.0-1
Conflicts:      kde-l10n-el < 17.12.0-1
Conflicts:      kde-l10n-en_GB < 17.12.0-1
Conflicts:      kde-l10n-en_US < 17.12.0-1
Conflicts:      kde-l10n-es < 17.12.0-1
Conflicts:      kde-l10n-et < 17.12.0-1
Conflicts:      kde-l10n-eu < 17.12.0-1
Conflicts:      kde-l10n-fa < 17.12.0-1
Conflicts:      kde-l10n-fi < 17.12.0-1
Conflicts:      kde-l10n-fr < 17.12.0-1
Conflicts:      kde-l10n-ga < 17.12.0-1
Conflicts:      kde-l10n-gl < 17.12.0-1
Conflicts:      kde-l10n-he < 17.12.0-1
Conflicts:      kde-l10n-hi < 17.12.0-1
Conflicts:      kde-l10n-hr < 17.12.0-1
Conflicts:      kde-l10n-hu < 17.12.0-1
Conflicts:      kde-l10n-ia < 17.12.0-1
Conflicts:      kde-l10n-id < 17.12.0-1
Conflicts:      kde-l10n-is < 17.12.0-1
Conflicts:      kde-l10n-it < 17.12.0-1
Conflicts:      kde-l10n-ja < 17.12.0-1
Conflicts:      kde-l10n-kk < 17.12.0-1
Conflicts:      kde-l10n-km < 17.12.0-1
Conflicts:      kde-l10n-ko < 17.12.0-1
Conflicts:      kde-l10n-lt < 17.12.0-1
Conflicts:      kde-l10n-lv < 17.12.0-1
Conflicts:      kde-l10n-mr < 17.12.0-1
Conflicts:      kde-l10n-nb < 17.12.0-1
Conflicts:      kde-l10n-nds < 17.12.0-1
Conflicts:      kde-l10n-nl < 17.12.0-1
Conflicts:      kde-l10n-nn < 17.12.0-1
Conflicts:      kde-l10n-pa < 17.12.0-1
Conflicts:      kde-l10n-pl < 17.12.0-1
Conflicts:      kde-l10n-pt < 17.12.0-1
Conflicts:      kde-l10n-pt_BR < 17.12.0-1
Conflicts:      kde-l10n-ro < 17.12.0-1
Conflicts:      kde-l10n-ru < 17.12.0-1
Conflicts:      kde-l10n-sk < 17.12.0-1
Conflicts:      kde-l10n-sl < 17.12.0-1
Conflicts:      kde-l10n-sr < 17.12.0-1
Conflicts:      kde-l10n-sv < 17.12.0-1
Conflicts:      kde-l10n-tr < 17.12.0-1
Conflicts:      kde-l10n-ug < 17.12.0-1
Conflicts:      kde-l10n-uk < 17.12.0-1
Conflicts:      kde-l10n-wa < 17.12.0-1
Conflicts:      kde-l10n-zh_CN < 17.12.0-1
Conflicts:      kde-l10n-zh_TW < 17.12.0-1

%description
Palapeli is a jigsaw puzzle game. Unlike other games in that genre, you
are not limited to aligning pieces on imaginary grids. The pieces are
freely moveable. Also, Palapeli features real persistency, i.e. everything
you do is saved on your disk immediately.

%files -f %name.lang
%_sysconfdir/xdg/palapeli-collectionrc
%_kf5_bindir/palapeli
%_kf5_services/palapeli_goldbergslicer.desktop
%_kf5_applicationsdir/org.kde.palapeli.desktop
%_kf5_datadir/palapeli
%_kf5_iconsdir/hicolor/*/*/*palapeli*
%_kf5_services/palapeli_jigsawslicer.desktop
%_kf5_services/palapeli_rectslicer.desktop
%_kf5_services/palathumbcreator.desktop
%_kf5_servicetypes/libpala-slicerplugin.desktop
%_kf5_datadir/mime/packages/palapeli-mimetypes.xml
%_kf5_appdatadir/org.kde.palapeli.appdata.xml
%_qt5_plugindir/*.so
%_kf5_datadir/knotifications5/palapeli.notifyrc
%_kf5_datadir/kservices5/ServiceMenus/palapeli_servicemenu.desktop
%_kf5_datadir/kxmlgui5/palapeli/

#------------------------------------------------------------------------------

%package -n palapeli-handbook
Summary:        Palapeli handbook
Group:          Documentation
BuildArch:      noarch
Requires:       palapeli >= %{epoch}:%{version}-%{release}

Conflicts:      kde-l10n-handbooks-ar < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ast < 17.12.0-1
Conflicts:      kde-l10n-handbooks-bg < 17.12.0-1
Conflicts:      kde-l10n-handbooks-bs < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ca < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ca-valencia < 17.12.0-1
Conflicts:      kde-l10n-handbooks-cs < 17.12.0-1
Conflicts:      kde-l10n-handbooks-da < 17.12.0-1
Conflicts:      kde-l10n-handbooks-de < 17.12.0-1
Conflicts:      kde-l10n-handbooks-el < 17.12.0-1
Conflicts:      kde-l10n-handbooks-en_GB < 17.12.0-1
Conflicts:      kde-l10n-handbooks-en_US < 17.12.0-1
Conflicts:      kde-l10n-handbooks-es < 17.12.0-1
Conflicts:      kde-l10n-handbooks-et < 17.12.0-1
Conflicts:      kde-l10n-handbooks-eu < 17.12.0-1
Conflicts:      kde-l10n-handbooks-fa < 17.12.0-1
Conflicts:      kde-l10n-handbooks-fi < 17.12.0-1
Conflicts:      kde-l10n-handbooks-fr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ga < 17.12.0-1
Conflicts:      kde-l10n-handbooks-gl < 17.12.0-1
Conflicts:      kde-l10n-handbooks-he < 17.12.0-1
Conflicts:      kde-l10n-handbooks-hi < 17.12.0-1
Conflicts:      kde-l10n-handbooks-hr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-hu < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ia < 17.12.0-1
Conflicts:      kde-l10n-handbooks-id < 17.12.0-1
Conflicts:      kde-l10n-handbooks-is < 17.12.0-1
Conflicts:      kde-l10n-handbooks-it < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ja < 17.12.0-1
Conflicts:      kde-l10n-handbooks-kk < 17.12.0-1
Conflicts:      kde-l10n-handbooks-km < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ko < 17.12.0-1
Conflicts:      kde-l10n-handbooks-lt < 17.12.0-1
Conflicts:      kde-l10n-handbooks-lv < 17.12.0-1
Conflicts:      kde-l10n-handbooks-mr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-nb < 17.12.0-1
Conflicts:      kde-l10n-handbooks-nds < 17.12.0-1
Conflicts:      kde-l10n-handbooks-nl < 17.12.0-1
Conflicts:      kde-l10n-handbooks-nn < 17.12.0-1
Conflicts:      kde-l10n-handbooks-pa < 17.12.0-1
Conflicts:      kde-l10n-handbooks-pl < 17.12.0-1
Conflicts:      kde-l10n-handbooks-pt < 17.12.0-1
Conflicts:      kde-l10n-handbooks-pt_BR < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ro < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ru < 17.12.0-1
Conflicts:      kde-l10n-handbooks-sk < 17.12.0-1
Conflicts:      kde-l10n-handbooks-sl < 17.12.0-1
Conflicts:      kde-l10n-handbooks-sr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-sv < 17.12.0-1
Conflicts:      kde-l10n-handbooks-tr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ug < 17.12.0-1
Conflicts:      kde-l10n-handbooks-uk < 17.12.0-1
Conflicts:      kde-l10n-handbooks-wa < 17.12.0-1
Conflicts:      kde-l10n-handbooks-zh_CN < 17.12.0-1
Conflicts:      kde-l10n-handbooks-zh_TW < 17.12.0-1

%description -n palapeli-handbook
This package provides palapeli handbook.

%files -n palapeli-handbook
%_kf5_docdir/HTML/*/%{name}/

#------------------------------------------------------------------------------

%define libpala_major 0
%define libpala %mklibname pala %{libpala_major}

%package -n %libpala
Summary:        Runtime library for Palapeli
Group:          System/Libraries

%description -n %libpala
Runtime library for Palapeli.

%files -n %libpala
%_kf5_libdir/libpala.so.%{libpala_major}{,.*}

#------------------------------------------------------------------------------

%package devel
Summary:        Devel files for Palapeli
Group:          Development/KDE and Qt
Requires:       %libpala = %{epoch}:%{version}-%{release}

%description devel
This package provides devel files for Palapeli.

%files devel
%_includedir/Pala/
%_includedir/libpala/
%_kf5_libdir/libpala.so
%_kf5_libdir/libpala

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang %{name} --all-name



%changelog
* Sat Feb 17 2018 neoclust <neoclust> 1:17.12.2-1.mga6
+ Revision: 1202364
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090166
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076908
- New version 16.12.0

* Wed Dec 07 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1073125
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067418
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061482
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050745
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047398
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040149
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012639
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004427
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 995006
- New version 16.03.80

* Sun Mar 20 2016 luigiwalser <luigiwalser> 1:15.12.3-1.mga6
+ Revision: 993228
- fix kdegames BR
- add missing BRs

  + neoclust <neoclust>
    - New version 15.12.3
    - New version 15.12.2
    - New version 15.12.1
    - New version 15.12.0
    - New version 15.11.80
    - New version 15.08.3
    - New version 15.08.2
    - New version 15.08.1
    - New version 15.08.0

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800679
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787777
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 746458
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734631
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 683312
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667565
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663077
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656755
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653940
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 652051
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1
  buildrequires & requires qhull for qvoronoi

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636814
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625581
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615662
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609474
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606915
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603422
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600754
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590542
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 580858
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555073
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551345
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540241
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490778
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476868
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465211
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458991
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455376
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447981
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435342
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428453
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407267
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401948
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394434
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sun Jan 13 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 362360
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339533
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334595
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326797
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319390
- imported package palapeli

